coreEngine.Calibration.Populations

## Class HybridPopulation

- java.lang.Object
- - coreEngine.Calibration.Population
  - - coreEngine.Calibration.Populations.HybridPopulation

-     public class HybridPopulation
      extends Population

  Author:
    jltrask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class coreEngine.Calibration.Population

      `Population.GAWorker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean[][]` | `profType`

    - ### Fields inherited from class coreEngine.Calibration.Population

      `adjustBasisPct, alg, bestFitness, currGenerationBestFitness, generation, generationIdx, MAIN_AADT, minAllowRange, numPreserved, numSelected, OFR_AADT, ONR_AADT, popSizes, prevGen, printSeg, results, seed, topBestOrg, topOrgs, totalPopSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HybridPopulation(GeneticAlgorithm alg, Seed[] seed, int popSize)`
    `HybridPopulation(GeneticAlgorithm alg, Seed[] seed, int popSize, java.util.List<Result> results)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustSearchSpace(SearchSpace ssh)`
    `protected Seed` | `applySolutionToSeed()`
    `void` | `computeRanges()`
    `protected void` | `crossover()`
    `void` | `earthquake()`
    `boolean` | `getProfType(int seg, int afType)`
    `private void` | `initGeometry()`
    `private void` | `initProfileTypes()`
    `void` | `populate()`
    `void` | `repopulateFromAdjustedSS()`
    `void` | `repopulateFromTopOrgs()`
    `void` | `setProfType(int seg, int afType, boolean profType)`

    - ### Methods inherited from class coreEngine.Calibration.Population

      `adaptParameters, analyzeResults, assignAllAFs, calcAllFitnessParallel, calcAllFitnessSeq, calcPopulationDiversity, elitism, evaluate, getBestFitness, getCurrGenerationBestFitness, getSeed, getSize, getSolutionSeed, getStartSeedBaseFitness, getTopBestOrganism, getTopOrganisms, isOptimalToTol, mutate, preserve, printResults, runGeneration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### profType

          protected boolean[][] profType

  - ### Constructor Detail

    - #### HybridPopulation

          public HybridPopulation(GeneticAlgorithm alg,
                                  Seed[] seed,
                                  int popSize)

    - #### HybridPopulation

          public HybridPopulation(GeneticAlgorithm alg,
                                  Seed[] seed,
                                  int popSize,
                                  java.util.List<Result> results)

  - ### Method Detail

    - #### initGeometry

          private void initGeometry()

    - #### initProfileTypes

          private void initProfileTypes()

    - #### populate

          public void populate()

      Specified by:
        `populate` in class `Population`

    - #### applySolutionToSeed

          protected Seed applySolutionToSeed()

      Specified by:
        `applySolutionToSeed` in class `Population`

    - #### crossover

          protected void crossover()

      Specified by:
        `crossover` in class `Population`

    - #### earthquake

          public void earthquake()

      Specified by:
        `earthquake` in class `Population`

    - #### repopulateFromTopOrgs

          public void repopulateFromTopOrgs()

      Specified by:
        `repopulateFromTopOrgs` in class `Population`

    - #### repopulateFromAdjustedSS

          public void repopulateFromAdjustedSS()

      Specified by:
        `repopulateFromAdjustedSS` in class `Population`

    - #### computeRanges

          public void computeRanges()

      Specified by:
        `computeRanges` in class `Population`

    - #### adjustSearchSpace

          public void adjustSearchSpace(SearchSpace ssh)

      Specified by:
        `adjustSearchSpace` in class `Population`

    - #### setProfType

          public void setProfType(int seg,
                                  int afType,
                                  boolean profType)

    - #### getProfType

          public boolean getProfType(int seg,
                                     int afType)